﻿namespace UltraTreeWrapText
{
    using System;
    using System.Data;
    using System.Drawing;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinTree;

    public partial class Form1 : Form
    {
        private Image nodeImage;

        public Form1()
        {
            this.InitializeComponent();
            this.nodeImage = Image.FromFile(@"../../ig.png");

            this.Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraTree1.CreationFilter = new CF();
            var node = this.ultraTree1.Nodes.Add("TopLevel","SomeLongLongLongLongLongLongLongLongLongLongLongLongLongLongLongText");
            node.LeftImages.Add(this.nodeImage);
            var child = node.Nodes.Add("Middle Level","SomeLongLongLongLongLongLongLongLongLongLongLongLongLongLongLongText");
            child.LeftImages.Add(this.nodeImage);
            var subChild = child.Nodes.Add("Lower Lever", "SomeLongLongLongLongLongLongLongLongLongLongLongLongLongLongLongText");
            subChild.LeftImages.Add(this.nodeImage);

            node.ExpandAll(ExpandAllType.Always);
        }

        private DataTable GetData()
        {
            //	Create a DataTable
            DataTable dataTable = new DataTable();

            //	Add some columns
            dataTable.Columns.Add("RecordID", typeof(int));
            dataTable.Columns.Add("CustomerID", typeof(string));
            dataTable.Columns.Add("CompanyName", typeof(string));
            dataTable.Columns.Add("ContactName", typeof(string));
            dataTable.Columns.Add("ContactTitle", typeof(string));

            //	Add some rows
            dataTable.Rows.Add(new object[] { 1652, "ALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKIALFKI", "Alfreds Futterkiste", "Maria Anders", "Sales Representative" });
            dataTable.Rows.Add(new object[] { 1346, "ANATR", "Ana Trujillo Emparedados y helados", "Ana Trujillo", "Owner" });
            dataTable.Rows.Add(new object[] { 127, "ANTON", "Antonio Moreno Taquería", "Antonio Moreno", "Owner" });
            dataTable.Rows.Add(new object[] { 4460, "AROUT", "Around the Horn", "Thomas Hardy", "Sales Representative" });
            dataTable.Rows.Add(new object[] { 166, "BERGS", "Berglunds snabbköp", "Christina Berglund", "Order Administrator" });

            return dataTable;
        }
    }
}
